Support & FAQs

Back Follow

What do I need to use sofasession?

The sofasession software is available for windows and Mac (OS X 10.6 or higher)

To use sofasession, we recommend to use the latest version of Chrome! However Firefox, Opera and Internet Explorer should work fine too.

At the moment we are working on some troubles linked to Safari, please use one of the above-mentioned browsers while we are working on it!

For instructions how to get started or plugging your instrument please check here!

 

 

Comments

Powered by Zendesk